Bug 1690272 - vips-tools-8.7.4-2.fc30 requires /usr/bin/python2
Summary: vips-tools-8.7.4-2.fc30 requires /usr/bin/python2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: vips
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benjamin Gilbert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2019-03-19 08:25 UTC by Miro Hrončok
Modified: 2019-09-01 19:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-01 19:35:59 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-03-19 08:25:54 UTC
Looking at vips specfile, it looks like a mistake that vips-tools-8.7.4-2.fc30 requires /usr/bin/python2. If it is on purpose, please explain why it is needed. Thanks.

Comment 1 Benjamin Gilbert 2019-03-20 03:32:21 UTC
Looks like it's for vipsprofile, which hasn't been ported to Python 3.  There's some context at https://github.com/libvips/libvips/issues/667.

Comment 2 Miro Hrončok 2019-03-20 09:50:59 UTC
Thanks. Let's fix that? https://github.com/libvips/libvips/pull/1262

Comment 3 Miro Hrončok 2019-03-20 15:11:01 UTC
Anyway, there is a missing dependency now:

$ vipsprofile
Traceback (most recent call last):
  File "/usr/bin/vipsprofile", line 5, in <module>
    import cairo
ImportError: No module named cairo

Comment 4 Miro Hrončok 2019-03-20 16:14:31 UTC
My upstream pull request was merged.

Comment 5 Benjamin Gilbert 2019-09-01 19:35:59 UTC
This will be fixed in 8.8.2-2, which is heading to Fedora 31.  Thanks for the report and for working on this!


Note You need to log in before you can comment on or make changes to this bug.